Get First Land Based Receiver Events
Method: GET
/data-provider/events/first-land-based-receiver
As a Data Provider of iFoodDS, you use the iFoodDS First Land Based Receiver (FLBR) Event API to query FLBR event data from the iFoodDS Trace Exchange platform.
info
This endpoint is being refined and thus subject to change. These docs will update when changes are made.
Request
Type: application/json
Retrieving FLBR events via the API is done through paging. The request requires a series of query parameters which define the page that must be returned. These parameters must be supplied in the url when the get is executed in order to return the result set for the page being queried.
Query Parameters
Optional
page(number): The page index of the events to return. The first page is index 0.size(number): The number of results to return per page. Default value is 20.submitStartDateTime(datetime): Filters results to include only events submitted after the specified date and time.submitEndDateTime(datetime): Filters results to include only events submitted before the specified date and time.eventStartDateTime(datetime): Filters results to include only events with an event date and time after the specified date and time.eventEndDateTime(datetime): Filters results to include only events with an event date and time before the specified date and time.lotCode(string): The exact lot code for food received on the event.caseGtin(string): The exact case GTIN for food received on the event.vendorItemCode(string): The exact vendor item code for food received on the event.documentNumber(string): The exact document number for the event.harvestDate(date): The exact harvest date for food received on the event.